package fr.irisa.cairn.jnimap.isl;

import java.util.HashMap;
import java.util.Map;

/*** PROTECTED REGION ID(ISLFold_userImport) ENABLED START ***/
	/*
		Put you custom import here ....
	*/
/*** PROTECTED REGION END ***/

/**
 *  Automatically generated by jnimap 
 * @generated
 */

public class ISLFold  {

	int value;
	String name;

	/*** PROTECTED REGION ID(ISLFold_values) DISABLED START ***/
	public static final int ISL_FOLD_MIN = 0;
	public static final int ISL_FOLD_MAX = 1;
	public static final int ISL_FOLD_LIST = 2;
	/*** PROTECTED REGION END ***/
	
	public static ISLFold isl_fold_min = new ISLFold("isl_fold_min", ISL_FOLD_MIN);
	public static ISLFold isl_fold_max = new ISLFold("isl_fold_max", ISL_FOLD_MAX);
	public static ISLFold isl_fold_list = new ISLFold("isl_fold_list", ISL_FOLD_LIST);
	
	public static ISLFold build(long value) {
		return getFromInt((int) value) ;
	}
	
	
	public static  ISLFold getFromInt(int value) {
		/*** PROTECTED REGION ID(ISLFold_getValues) DISABLED START ***/
		switch(value) {
			case ISL_FOLD_MIN:
			return isl_fold_min;
			case ISL_FOLD_MAX:
			return isl_fold_max;
			case ISL_FOLD_LIST:
			return isl_fold_list;
				default :
					return null;
			}
		/*** PROTECTED REGION END ***/
	}

	private ISLFold(String name, int value) {
		this.value=value;
		this.name=name;
	}
	
	public int getValue() {
		return this.value;
	}

	public String getName() {
		return this.name;
	}
	
}
